Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/message.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $AllowHTML = $ini->variable( "eZForumMain", "AllowHTML" )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $t
| $message = new eZForumMessage( $MessageID )
| $forum = new eZForum( $message->forumID() )
| $categories = $forum->categories()
| $author = $message->user()
else | $anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )
if( $author->id()==0) | else
| $topMessage = $message->threadTop( $message )
| $messages = $forum->messageThreadTree( $message->threadID() )
| $locale = new eZLocale( $Language )
| $level = 0
| $i = 0

## Variable Documentation

## ◆ $AllowHTML

$AllowHTML = $ini->variable( "eZForumMain", "AllowHTML" )

Definition at line 31 of file admin/message.php.

## ◆ $anonymous

else $anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )

Definition at line 73 of file admin/message.php.

## ◆ $author

$author = $message->user()

Definition at line 68 of file admin/message.php.

## ◆ $categories

$categories = $forum->categories()

Definition at line 54 of file admin/message.php.

## ◆ $forum

$forum = new eZForum( $message->forumID() )

Definition at line 52 of file admin/message.php.

## ◆ $i

$i = 0

Definition at line 108 of file admin/message.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file admin/message.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 32 of file admin/message.php.

## ◆ $level

$level = 0

Definition at line 106 of file admin/message.php.

Referenced by eZDebug\alwaysLogMessage(), eZArticleCategory\copyTree(), eZQDomGenerator\decodeHeader(), disectThisPart(), eZUpdateDebugSettings(), eZAdCategory\getTree(), eZArticleCategory\getTree(), eZAppointmentType\getTree(), eZVirtualFolder\getTree(), eZGroupEventCategory\getTree(), eZGroupEventType\getTree(), eZImageCategory\getTree(), eZLinkCategory\getTree(), eZMailFolder\getTree(), eZMediaCategory\getTree(), eZTipCategory\getTree(), eZProductCategory\getTree(), eZHTTPHeader\headerOverrideArray(), ezpAttributeOperatorHTMLFormatter\line(), ezpAttributeOperatorTextFormatter\line(), eZQDomRenderer\renderFile(), eZQDomRenderer\renderHeader(), eZQDomRenderer\renderImage(), eZQDomRenderer\renderMedia(), eZGZIPCompressionHandler\setCompressionLevel(), eZGZIPShellCompressionHandler\setCompressionLevel(), eZGZIPZLIBCompressionHandler\setCompressionLevel(), and ezpRestDebug\updateDebugSettings().

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 104 of file admin/message.php.

## ◆ $message

$message = new eZForumMessage( $MessageID )

Definition at line 51 of file admin/message.php.

Referenced by eZClusterFileFailure\__construct(), eZClusterHandlerDBNoConnectionException\__construct(), ezpContentException\__construct(), ezpContentNotFoundException\__construct(), ezpOauthRequiredException\__construct(), ezpOauthBadRequestException\__construct(), ezpOauthExpiredTokenException\__construct(), ezpOauthInsufficientScopeException\__construct(), ezpOauthInvalidRequestException\__construct(), ezpOauthInvalidTokenException\__construct(), ezpOauthNoAuthInfoException\__construct(), ezpOauthException\__construct(), ezpOauthTokenNotFoundException\__construct(), ezpRestException\__construct(), eZDBException\__construct(), ezpContentAccessDeniedException\__construct(), eZDFSFileHandlerTableNotFoundException\__construct(), eZMail\add_attachment(), eZMail\build_message(), eZBulkMailTemplate\buildMessage(), error(), eZForumMessage\getAll(), eZMessage\getAll(), eZMessageDefinition\getAll(), eZForumMessage\getAllTemporary(), eZForumMessage\getAllUnApproved(), eZMessageDefinition\getMessageID(), eZTSTranslator\handleMessageNode(), eZAutoloadGenerator\logIssue(), eZForum\messages(), eZMessage\messagesFromUser(), eZMessage\messagesToUser(), eZMessageDefinition\messagesToUser(), eZForum\messageThreadTree(), eZForum\messageTree(), ezpAutoloadCliOutput\outputCli(), eZFSFileHandler\processCache(), eZDFSFileHandler\processCache(), eZTSTranslator\remove(), ezpAsynchronousPublisherCliOutput\write(), ezpAsynchronousPublisherLogOutput\write(), and eZPBLog\write().

## ◆ $messages

$messages = $forum->messageThreadTree( $message->threadID() )

Definition at line 100 of file admin/message.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/admin/" . $ini->variable( "eZForumMain", "AdminTemplateDir" ),
"kernel/ezforum/admin/intl", $Language, "message.php" )
$Language
$Language
Definition: admin/message.php:32
$ini
$ini
Definition: admin/message.php:29
eZTemplate
Definition: eztemplate.php:107

Definition at line 43 of file admin/message.php.

## ◆ $topMessage

$topMessage = $message->threadTop( $message )

Definition at line 96 of file admin/message.php.

## ◆ else

if (isset($GenerateStaticPage) &&$GenerateStaticPage=="true") else

Initial value:
{
$MessageAuthor = $author->firstName() . " " . $author->lastName()
$author
$author
Definition: admin/message.php:68

Definition at line 79 of file admin/message.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.